# Constant Field Values

## Contents

- org.acplt.*

## org.acplt.*

org.acplt.oncrpc.OncRpcAcceptStatus
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_GARBAGE_ARGS`
`4`
`public static final int`
`ONCRPC_PROC_UNAVAIL`
`3`
`public static final int`
`ONCRPC_PROG_MISMATCH`
`2`
`public static final int`
`ONCRPC_PROG_UNAVAIL`
`1`
`public static final int`
`ONCRPC_SUCCESS`
`0`
`public static final int`
`ONCRPC_SYSTEM_ERR`
`5`
org.acplt.oncrpc.OncRpcAuthConstants
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_MAX_AUTH_BYTES`
`400`
`public static final int`
`ONCRPC_MAX_GROUPS`
`16`
`public static final int`
`ONCRPC_MAX_MACHINE_NAME`
`255`
org.acplt.oncrpc.OncRpcAuthStatus
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_AUTH_BADCRED`
`1`
`public static final int`
`ONCRPC_AUTH_BADVERF`
`3`
`public static final int`
`ONCRPC_AUTH_FAILED`
`7`
`public static final int`
`ONCRPC_AUTH_INVALIDRESP`
`6`
`public static final int`
`ONCRPC_AUTH_OK`
`0`
`public static final int`
`ONCRPC_AUTH_REJECTEDCRED`
`2`
`public static final int`
`ONCRPC_AUTH_REJECTEDVERF`
`4`
`public static final int`
`ONCRPC_AUTH_TOOWEAK`
`5`
org.acplt.oncrpc.OncRpcAuthType
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_AUTH_DES`
`3`
`public static final int`
`ONCRPC_AUTH_NONE`
`0`
`public static final int`
`ONCRPC_AUTH_SHORT`
`2`
`public static final int`
`ONCRPC_AUTH_UNIX`
`1`
org.acplt.oncrpc.OncRpcCallMessage
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_VERSION`
`2`
org.acplt.oncrpc.OncRpcConstants
Modifier and Type
Constant Field
Value
`public static final int`
`REMOTETEA_VERSION_MAJOR`
`1`
`public static final int`
`REMOTETEA_VERSION_MINOR`
`1`
`public static final int`
`REMOTETEA_VERSION_PATCHLEVEL`
`1`
`public static final int`
`REMOTETEA_VERSION_PREVERSION`
`0`
`public static final String`
`REMOTETEA_VERSION_STRING`
`"1.1.6"`
org.acplt.oncrpc.OncRpcException
Modifier and Type
Constant Field
Value
`public static final int`
`RPC_AUTHERROR`
`7`
`public static final int`
`RPC_BUFFEROVERFLOW`
`42`
`public static final int`
`RPC_BUFFERUNDERFLOW`
`43`
`public static final int`
`RPC_CANNOTREGISTER`
`45`
`public static final int`
`RPC_CANTDECODEARGS`
`11`
`public static final int`
`RPC_CANTDECODERES`
`2`
`public static final int`
`RPC_CANTENCODEARGS`
`1`
`public static final int`
`RPC_CANTRECV`
`4`
`public static final int`
`RPC_CANTSEND`
`3`
`public static final int`
`RPC_FAILED`
`16`
`public static final int`
`RPC_PMAPFAILURE`
`14`
`public static final int`
`RPC_PROCUNAVAIL`
`10`
`public static final int`
`RPC_PROGNOTREGISTERED`
`15`
`public static final int`
`RPC_PROGUNAVAIL`
`8`
`public static final int`
`RPC_PROGVERSMISMATCH`
`9`
`public static final int`
`RPC_SUCCESS`
`0`
`public static final int`
`RPC_SYSTEMERROR`
`12`
`public static final int`
`RPC_TIMEDOUT`
`5`
`public static final int`
`RPC_UNKNOWNPROTO`
`17`
`public static final int`
`RPC_VERSMISMATCH`
`6`
`public static final int`
`RPC_WRONGMESSAGE`
`44`
org.acplt.oncrpc.OncRpcMessageType
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_CALL`
`0`
`public static final int`
`ONCRPC_REPLY`
`1`
org.acplt.oncrpc.OncRpcPortmapClient
Modifier and Type
Constant Field
Value
`public static final int`
`PMAP_PORT`
`111`
`public static final int`
`PMAP_PROGRAM`
`100000`
`public static final int`
`PMAP_VERSION`
`2`
org.acplt.oncrpc.OncRpcPortmapServices
Modifier and Type
Constant Field
Value
`public static final int`
`PMAP_CALLIT`
`5`
`public static final int`
`PMAP_DUMP`
`4`
`public static final int`
`PMAP_GETPORT`
`3`
`public static final int`
`PMAP_SET`
`1`
`public static final int`
`PMAP_UNSET`
`2`
org.acplt.oncrpc.OncRpcProtocols
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_HTTP`
`-42`
`public static final int`
`ONCRPC_TCP`
`6`
`public static final int`
`ONCRPC_UDP`
`17`
org.acplt.oncrpc.OncRpcRejectStatus
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_AUTH_ERROR`
`1`
`public static final int`
`ONCRPC_RPC_MISMATCH`
`0`
org.acplt.oncrpc.OncRpcReplyMessage
Modifier and Type
Constant Field
Value
`public static final int`
`UNUSED_PARAMETER`
`0`
org.acplt.oncrpc.OncRpcReplyStatus
Modifier and Type
Constant Field
Value
`public static final int`
`ONCRPC_MSG_ACCEPTED`
`0`
`public static final int`
`ONCRPC_MSG_DENIED`
`1`
org.acplt.oncrpc.OncRpcUdpRetransmissionMode
Modifier and Type
Constant Field
Value
`public static final int`
`EXPONENTIAL`
`0`
`public static final int`
`FIXED`
`1`

org.acplt.oncrpc.apps.jportmap.jportmap
Modifier and Type
Constant Field
Value
`public static final int`
`PMAP_PORT`
`111`
`public static final int`
`PMAP_PROGRAM`
`100000`
`public static final int`
`PMAP_VERSION`
`2`

org.acplt.oncrpc.apps.jrpcgen.jrpcgen
Modifier and Type
Constant Field
Value
`public static final int`
`PARAMS_MORE`
`3`
`public static final int`
`PARAMS_SINGLE`
`1`
`public static final int`
`PARAMS_SINGLE_BASETYPE`
`2`
`public static final int`
`PARAMS_VOID`
`0`
`public static final String`
`VERSION`
`"1.1.6"`
org.acplt.oncrpc.apps.jrpcgen.JrpcgenSymbols
Modifier and Type
Constant Field
Value
`public static final int`
`BOOL`
`31`
`public static final int`
`CASE`
`20`
`public static final int`
`CHAR`
`23`
`public static final int`
`COLON`
`4`
`public static final int`
`COMMA`
`3`
`public static final int`
`CONST`
`17`
`public static final int`
`DEFAULT`
`21`
`public static final int`
`DOUBLE`
`29`
`public static final int`
`ENUM`
`32`
`public static final int`
`EOF`
`0`
`public static final int`
`EQUAL`
`5`
`public static final int`
`error`
`1`
`public static final int`
`FLOAT`
`28`
`public static final int`
`HYPER`
`27`
`public static final int`
`IDENTIFIER`
`39`
`public static final int`
`INT`
`25`
`public static final int`
`INTEGER_LITERAL`
`38`
`public static final int`
`JAVA_DOC_COMMENT`
`40`
`public static final int`
`LANGLE`
`13`
`public static final int`
`LBRACE`
`9`
`public static final int`
`LBRACKET`
`11`
`public static final int`
`LONG`
`26`
`public static final int`
`LPAREN`
`7`
`public static final int`
`OPAQUE`
`33`
`public static final int`
`PROGRAM`
`15`
`public static final int`
`QUADRUPLE`
`30`
`public static final int`
`RANGLE`
`14`
`public static final int`
`RBRACE`
`10`
`public static final int`
`RBRACKET`
`12`
`public static final int`
`RPAREN`
`8`
`public static final int`
`SEMICOLON`
`2`
`public static final int`
`SHORT`
`24`
`public static final int`
`STAR`
`6`
`public static final int`
`STRING`
`34`
`public static final int`
`STRUCT`
`35`
`public static final int`
`SWITCH`
`19`
`public static final int`
`TYPEDEF`
`18`
`public static final int`
`UNION`
`36`
`public static final int`
`UNSIGNED`
`37`
`public static final int`
`VERSION`
`16`
`public static final int`
`VOID`
`22`

org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser
Modifier and Type
Constant Field
Value
`protected static final int`
`_error_sync_size`
`3`

org.acplt.oncrpc.web.HttpClientConnection
Modifier and Type
Constant Field
Value
`public static final int`
`HTTP_DEFAULTPORT`
`80`
org.acplt.oncrpc.web.HttpTunnelConstants
Modifier and Type
Constant Field
Value
`public static final int`
`BYTES_PER_LINE`
`48`
`public static final int`
`ENCODED_BYTES_PER_LINE`
`64`
`public static final int`
`ENCODED_BYTES_PER_LINE_CRLF`
`66`
`public static final int`
`LINES_PER_BLOCK`
`100`
`public static final String`
`TUNNEL_PROTO_ID`
`"TEA/1.0"`